Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
truongthanh

Cho em hỏi về TOLERANCE!

Các bài được khuyến nghị

truongthanh    7

Nhờ anh Tuệ và mọi người giúp tiếp dùm em với, giờ em làm nó phát sinh thêm một số cái nữa! Chi tiết em có ghi trong bản vẽ nhờ mọi người giúp dùm em với! Vì số lượng bản vẽ em rất nhiều! Thanks mọi người rất nhiều!

http://www.cadviet.com/upfiles/3/tolerance_1_1.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841

Nhờ anh Tuệ và mọi người giúp tiếp dùm em với, giờ em làm nó phát sinh thêm một số cái nữa! Chi tiết em có ghi trong bản vẽ nhờ mọi người giúp dùm em với! Vì số lượng bản vẽ em rất nhiều! Thanks mọi người rất nhiều!

http://www.cadviet.com/upfiles/3/tolerance_1_1.dwg

Truong thanh thử cái này.

Chọn 1 loạt luôn nhé :

(defun  c:glt(/ oldos sst cs ob Rec p1 p2 ssm chu dk quan vitri)
;;copyright by Tue_NV
 (command "undo" "be")
 (setq oldos (getvar "osmode"))
 (setvar "osmode" 0)
 (setvar "cmdecho" 0)
 (setq sst (acet-ss-to-list (ssget '((0 . "TEXT") (8 . "ki hieu van") (40 . 3.2)))) )
 (setq cs '(30.0 -50.0 0.0))
 (command "zoom" "e")
 (FOREACH e sst    
   	(setq ob (vlax-ename->vla-object e))
   	(setq Rec (ACET-ENT-GEOMEXTENTS e))
       (setq p1 (car Rec) p2 (cadr Rec))
   	(setq chugoc (acet-dxf 1 (entget e)))
   (IF (<= (strlen (vl-string-trim " " chugoc)) 6)  (PROGN
     (IF (setq ssm (ssget "c" p2 (mapcar '+ cs p2) (list(cons 0 "*TEXT")))) (PROGN
       (foreach x (acet-ss-to-list ssm)
 (setq chu (acet-dxf 1 (entget x)))
        (if (vl-string-search "VÒ TRÍ" chu)
	(setq vitri (tach chu ":")) )
        (if (vl-string-search "PHÖÔØNG" chu)
	(setq quan (tach chu "-")) )	
        (if (and (vl-string-search "%%c" chu)
	  (= "TEXT PIPE" (acet-dxf 8 (entget x)))
     )
	(setq dk (substr (vl-string-trim " " chu) 4 (- (strlen chu) 4))) )  

    );foreach
 (if (and quan vitri dk)
     (vlax-put ob 'Textstring 
			(strcat quan "." (substr chugoc 1 (vl-string-search "-" chugoc) ) "."
				vitri "." dk ".0" 
				(substr chugoc (+ 2 (vl-string-search "-" chugoc)) (strlen chugoc) )
			)
     ))
  ))));PROGN_IF
);FOREACH

(command "zoom" "p")
(setvar "osmode" oldos)
(command "undo" "e")
(princ)	 
)
;;;;;;;;;;;;
(defun tach (str kitucheck / trich kitu L i)
;;copyright by Tue_NV
(setq str (vl-string-trim " " str))
(setq L (strlen str) i L)
(setq kitu "Chuc ban lam viec hieu qua")
(While (/= kitu kitucheck)
  (setq kitu (substr str i 1))
  (setq i (1- i))
  (if (or (= kitu " ") (= kitu kitucheck))
   (setq trich (append trich (list (substr str (+ i 2) 1)) ) )
 ) 
)
(setq trich (apply 'strcat (reverse (vl-remove " " trich))))
trich
)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
truongthanh    7

Truong thanh thử cái này.

Chọn 1 loạt luôn nhé :

Anh Tuệ ơi! Sao em quét xong nó chọn 6 object xong rồi ko thấy thay đổi gì hết vậy anh? Anh coi lại thử dùm em với!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.653

Tested, lisp chạy Ok, mis 1 chút phần bố trí lại chữ trong ô HCN bao text ^^

@truongthanh : bạn có thâm niên trong 4room rồi, mà bao lần vẫn hồn nhiên vậy. Bạn hãy chịu khó miêu tả lỗi gặp phải khi dùng lisp thì tác giả mới có thể check được chứ. Nếu bạn nói nó lỗi, nhờ bác Tuệ check lại, thì phải là lỗi ntn, báo ra sao, thao tác của bạn ntn, chụp ảnh chụp iêc các kiểu... chứ khơi khơi vậy bác Tuệ check cái chi giờ :mellow:

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
truongthanh    7

Tested, lisp chạy Ok, mis 1 chút phần bố trí lại chữ trong ô HCN bao text ^^

@truongthanh : bạn có thâm niên trong 4room rồi, mà bao lần vẫn hồn nhiên vậy. Bạn hãy chịu khó miêu tả lỗi gặp phải khi dùng lisp thì tác giả mới có thể check được chứ. Nếu bạn nói nó lỗi, nhờ bác Tuệ check lại, thì phải là lỗi ntn, báo ra sao, thao tác của bạn ntn, chụp ảnh chụp iêc các kiểu... chứ khơi khơi vậy bác Tuệ check cái chi giờ :mellow:

Sorry bạn! Do mình test select object xong quét chọn nó chọn ra được 6 cái text trong file ví dụ đó rồi enter nó nằm im, ko thấy thay đổi gì hết làm sao mình biết nó lỗi gì! Bạn thông cảm nhé! :rolleyes:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.653

Bạn thử ấn F2 sau khi thao tác xem CAD có báo lỗi gì không ? Sẽ rất có ích cho bác Tuệ test, vì bên máy mình làm ngon nghẻ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
truongthanh    7

Bạn thử ấn F2 sau khi thao tác xem CAD có báo lỗi gì không ? Sẽ rất có ích cho bác Tuệ test, vì bên máy mình làm ngon nghẻ

Mình quét chọn xong enter xong nó ra như vậy đó:

Select objects: Specify opposite corner: 6 found

 

Select objects:

 

Em thấy nó ko thay đổi gì hết!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841

Mình quét chọn xong enter xong nó ra như vậy đó:

Select objects: Specify opposite corner: 6 found

 

Select objects:

 

Em thấy nó ko thay đổi gì hết!

Em upload lại file mà em vừa test. Để anh kiểm tra lại xem nào?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
truongthanh    7

Truong thanh xem thử video này :

Trong đoạn video anh gửi em làm y chang ko hiểu sao nó vẫn nằm im lìm! Em thấy trong dòng command của anh có hiện UNDEFINED 57,UNDEFINED 44 còn của em ko hiện gì hết! Với lại em xài cad 2007!

Em ko hiểu sao nữa!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
gia_bach    1.442

Truong thanh xem thử video này :

http://www.youtube.com/watch?v=W2AC0dg3jhQ

Gửi lại Lisp gốc :

Lisp GLT

Lỗi font tiếng Việt :

- Chữ "Vị trí" và "Phường" trong file Lisp đã thay đổi nên Lisp chạy không đuợc.

(if (vl-string-search "VO TRI" chu)

(setq vitri (tach chu ":")) )

(if (vl-string-search "PHOOONG" chu)

(setq quan (tach chu "-")) )

 

Thử sửa các chữ này lại.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.653

Bạn xem lại lisp bạn down xem sao ^^ Mình làm đi làm lại thấy bình thường, và giữa 2 chữ select object 6 found và Select Object phải cách 1 Line chứ nhỉ :o Cũng không có Undefine như video bác Tue, nhưng kết quả bình thường. Honnwũa bạn kiểm tra lại đủ bộ Express, vlisp chưa ? Và lần đầu dùng lisp nó còn phải hiện các thiết đặt Undo kiểu ntn :

 

Command:

Command:

Command: glt

undo Current settings: Auto = On, Control = All, Combine = Yes

Enter the number of operations to undo or [Auto/Control/BEgin/End/Mark/Back]

<1>: be

Command:

Select objects: Specify opposite corner: 6 found

 

Select objects:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
truongthanh    7

Bạn xem lại lisp bạn down xem sao ^^ Mình làm đi làm lại thấy bình thường, và giữa 2 chữ select object 6 found và Select Object phải cách 1 Line chứ nhỉ :o Cũng không có Undefine như video bác Tue, nhưng kết quả bình thường. Honnwũa bạn kiểm tra lại đủ bộ Express, vlisp chưa ? Và lần đầu dùng lisp nó còn phải hiện các thiết đặt Undo kiểu ntn :

Nó hiện như thế này mới chết em chứ! Cứ trơ trơ ra như vậy đó! Ko thấy Undo gì hết!

APPLOAD glt.lsp successfully loaded.

Command:

Command:

Command: GLT

Select objects: Specify opposite corner: 6 found

Select objects:

Lỗi font tiếng Việt :

- Chữ "Vị trí" và "Phường" trong file Lisp đã thay đổi nên Lisp chạy không đuợc.

(if (vl-string-search "VO TRI" chu)

(setq vitri (tach chu ":")) )

(if (vl-string-search "PHOOONG" chu)

(setq quan (tach chu "-")) )

Thử sửa các chữ này lại.

Em sửa rồi cũng ko si nhê gì hết bác gia_bach ơi!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841

Nó hiện như thế này mới chết em chứ! Cứ trơ trơ ra như vậy đó! Ko thấy Undo gì hết!

APPLOAD glt.lsp successfully loaded.

Command:

Command:

Command: GLT

Select objects: Specify opposite corner: 6 found

Select objects:

 

Em sửa rồi cũng ko si nhê gì hết bác gia_bach ơi!

Truongthanh vô mail Yahoo của Tue_NV để trao đổi nhé :

Tue_nvcc@yahoo.com

Tue_NV cất công mất cả buổi tối hôm qua để viết cái Lisp này. Nay Truongthanh không sử dụng được, quả thật là uổng quá :rolleyes:

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841

Anh oi! Nếu cái đó ko chỉnh sửa được thì bây giờ mình chỉnh sửa như vậy được ko? Em chỉ muốn lấy giá trị CỠ VAN vào giữa Text P1-001 thôi, bỏ cái Quận, phường, địa chỉ (Vì nó ảnh hưởng đến Font nên sợ ko dc) cụ thể bây giờ chỉ cần như vầy thôi:

P1.10.001 còn các cái khác em dùng LISP thêm bớt text em làm thủ công cũng dc anh ơi!

Nhờ anh giúp dùm em với!

Thân chào anh!

....

Truongthanh sử dụng thử cái này :

(defun  c:glt(/ oldos sst cs ob Rec p1 p2 ssm chu dk quan vitri)
;;copyright by Tue_NV
 (command "undo" "be")
 (setq oldos (getvar "osmode"))
 (setvar "osmode" 0)
 (setvar "cmdecho" 0)
 (setq sst (acet-ss-to-list (ssget '((0 . "TEXT") (8 . "ki hieu van") (40 . 3.2)))) )
 (setq cs '(30.0 -50.0 0.0))
 (command "zoom" "e")
 (FOREACH e sst    
   	(setq ob (vlax-ename->vla-object e))
   	(setq Rec (ACET-ENT-GEOMEXTENTS e))
       (setq p1 (car Rec) p2 (cadr Rec))
   	(setq chugoc (acet-dxf 1 (entget e)))
   (IF (<= (strlen (vl-string-trim " " chugoc)) 6)  (PROGN
     (IF (setq ssm (ssget "c" p2 (mapcar '+ cs p2) (list(cons 0 "*TEXT")))) (PROGN
       (foreach x (acet-ss-to-list ssm)
 (setq chu (acet-dxf 1 (entget x)))

        (if (and (vl-string-search "%%c" chu)
	  (= "TEXT PIPE" (acet-dxf 8 (entget x)))
     )
	(setq dk (substr (vl-string-trim " " chu) 4 (- (strlen chu) 4))) )  

    );foreach
 (if dk
     (vlax-put ob 'Textstring 
			(strcat  (substr chugoc 1 (vl-string-search "-" chugoc) ) "."
				 dk "." 
				(substr chugoc (+ 2 (vl-string-search "-" chugoc)) (strlen chugoc) )
			)
     ))
  ))));PROGN_IF
);FOREACH

(command "zoom" "p")
(setvar "osmode" oldos)
(command "undo" "e")
(princ)	 
)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
truongthanh    7

Truongthanh sử dụng thử cái này :

Anh ơi! Cảm ơn anh rất nhiều! Nhưng sao giá trị cỡ van em sửa thành PHI 150 rồi thực hiện lisp thì nó vẫn là 10 mà sao ko phải là 15 vậy anh?Nhờ anh xem lại giúp dùm với!

Cái khung chữ nhật đó chắc phải chỉnh tay phải ko anh?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841

Anh ơi! Cảm ơn anh rất nhiều! Nhưng sao giá trị cỡ van em sửa thành PHI 150 rồi thực hiện lisp thì nó vẫn là 10 mà sao ko phải là 15 vậy anh?Nhờ anh xem lại giúp dùm với!

Cái khung chữ nhật đó chắc phải chỉnh tay phải ko anh?

Sửa lại code cho truongthanh

và vẽ luôn khung chữ nhật luôn, không cần phải chỉnh tay :

(defun  c:glt();(/ oldos sst cs ob Rec p1 p2 ssm chu quan vitri)
;;copyright by Tue_NV
 (command "undo" "be")
 (setq oldos (getvar "osmode"))
 (setvar "osmode" 0)
 (setvar "cmdecho" 0)
 (setq sst (acet-ss-to-list (ssget '((0 . "TEXT") (8 . "ki hieu van") (40 . 3.2)))) )
 (setq cs '(30.0 -50.0 0.0))
 (command "zoom" "e")
 (FOREACH e sst    
   	(setq ob (vlax-ename->vla-object e))
   	(setq Rec (ACET-ENT-GEOMEXTENTS e))
       (setq p1 (car Rec) p2 (cadr Rec))
   	(setq chugoc (acet-dxf 1 (entget e)))
   (IF (<= (strlen (vl-string-trim " " chugoc)) 6)  (PROGN
     (IF (setq ssm (ssget "c" p2 (mapcar '+ cs p2) (list(cons 0 "*TEXT")))) (PROGN
       (foreach x (acet-ss-to-list ssm)
 (setq chu (acet-dxf 1 (entget x)))

        (if (and (or (vl-string-search "%%C" chu)
	      (vl-string-search "%%c" chu) )
	  (= "TEXT PIPE" (acet-dxf 8 (entget x)))
     )
	(setq dk (substr (vl-string-trim " " chu) 4 (- (strlen chu) 4))) )  
       );foreach
 (if dk (progn
	(command "justifytext" e "" "R")
     (vlax-put ob 'Textstring 
			(strcat  (substr chugoc 1 (vl-string-search "-" chugoc) ) "."
				 dk "." 
				(substr chugoc (+ 2 (vl-string-search "-" chugoc)) (strlen chugoc) )
			)
     )

   		(setq Rec (ACET-ENT-GEOMEXTENTS e))
       	(setq p1 (mapcar '- (car Rec) '(1.6 1.6 0.0)) )
    		(IF (setq ssr (ssget "c" p2 (mapcar '+ cs p2) (list(cons 0 "*POLYLINE") (cons 8 "ki hieu van")))) 
	    (progn
		(setq ent_rec (ssname ssr 0))	
		(setq maxp (cadr (ACET-ENT-GEOMEXTENTS ent_rec)))
		(command "rectang" maxp p1)
		(command "MATCHPROP" ent_rec (entlast) "")
		(entdel ent_rec)
	))
))

    ))



));PROGN_IF
);FOREACH

(command "zoom" "p")
(setvar "osmode" oldos)
(command "undo" "e")
(princ)	 
)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
truongthanh    7

Sửa lại code cho truongthanh

và vẽ luôn khung chữ nhật luôn, không cần phải chỉnh tay :

Thanks anh lần này dc rồi! Chỉ nhờ anh chút xíu nữa thôi đó là sau khi thực hiện lisp anh OK rồi, nhưng em làm tay cái chỗ "VỊ TRÍ" và "PHƯỜNG" nữa lúc đó hình chữ nhật lại ko FIT với text! Vậy có cách nào giải quyết vấn đề này ko anh? Chẳng hạn tách cái vẽ Hình chữ nhật ra thành 1 LISP riêng biệt, sau khi em thêm VI TRI và PHUONG thì lúc đó em mới vẽ HCN sau!

Thanks anh rất nhiều!

 

PS:Với lại lisp có lỗi nhỏ tí xíu đó là số cuối chưa có thêm số 0! Ví dụ P1-1 thì thành P1-10-001 (cái này tối đa là 3 chữ số nên nếu hiện tại là số 1 thì phải thêm 2 số 0) Sory anh ko biết yêu cầu này có hơi quá ko?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841

Thanks anh lần này dc rồi! Chỉ nhờ anh chút xíu nữa thôi đó là sau khi thực hiện lisp anh OK rồi, nhưng em làm tay cái chỗ "VỊ TRÍ" và "PHƯỜNG" nữa lúc đó hình chữ nhật lại ko FIT với text! Vậy có cách nào giải quyết vấn đề này ko anh? Chẳng hạn tách cái vẽ Hình chữ nhật ra thành 1 LISP riêng biệt, sau khi em thêm VI TRI và PHUONG thì lúc đó em mới vẽ HCN sau!

Thanks anh rất nhiều!

 

PS:Với lại lisp có lỗi nhỏ tí xíu đó là số cuối chưa có thêm số 0! Ví dụ P1-1 thì thành P1-10-001 (cái này tối đa là 3 chữ số nên nếu hiện tại là số 1 thì phải thêm 2 số 0) Sory anh ko biết yêu cầu này có hơi quá ko?

Ủa, cái Lisp tách 3 chữ cái đầu tiên của tên đường, Quận không sử dụng được à?

P1-1 thì thành P1-10-001

Cái này nếu P1-40 thì có thêm là P1-10-040 không?

 

Có thể ghép thành 1 Lisp với 2 lựa chọn :

Thêm đường kính vàovẽ lại hình chữ nhật đó

Vừa sửa xong cái này. truongthanh thử xem :

http://www.cadviet.com/upfiles/3/glt_1.lsp

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
truongthanh    7

Ủa, cái Lisp tách 3 chữ cái đầu tiên của tên đường, Quận không sử dụng được à?

P1-1 thì thành P1-10-001

Cái này nếu P1-40 thì có thêm là P1-10-040 không?

 

Có thể ghép thành 1 Lisp với 2 lựa chọn :

Thêm đường kính vàovẽ lại hình chữ nhật đó

Vừa sửa xong cái này. truongthanh thử xem :

http://www.cadviet.com/upfiles/3/glt_1.lsp

Lisp kết hợp 2 lựa chọn dùng rất tốt ạ!

Còn cái Lisp tách 3 chữ cái đầu của đường và Quận ko sử dụng dc anh ơi! Chính vì vậy nên em mới nhờ anh sửa LISP này, còn tên ĐƯỜNG và QUẬN thì em sẽ làm thủ công bằng LISP THÊM BỚT TEXT trên diễn đàn anh!

Còn cái P1-1 thì thành P1-10-001

Còn nếu P1-40 thì thành là P1-10-040 ạ!

Cảm ơn anh rất nhiều!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841

Lisp kết hợp 2 lựa chọn dùng rất tốt ạ!

Còn cái Lisp tách 3 chữ cái đầu của đường và Quận ko sử dụng dc anh ơi! Chính vì vậy nên em mới nhờ anh sửa LISP này, còn tên ĐƯỜNG và QUẬN thì em sẽ làm thủ công bằng LISP THÊM BỚT TEXT trên diễn đàn anh!

Còn cái P1-1 thì thành P1-10-001

Còn nếu P1-40 thì thành là P1-10-040 ạ!

Cảm ơn anh rất nhiều!

Không hiểu sao anh sử dụng được nhỉ?

Code hoàn thiện cho truongthanh đây :

http://www.cadviet.com/upfiles/3/glt_1_1.lsp

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
truongthanh    7

Không hiểu sao anh sử dụng được nhỉ?

Code hoàn thiện cho truongthanh đây :

http://www.cadviet.com/upfiles/3/glt_1_1.lsp

Em cũng đang thắc mắc! Nếu như giá trị Cỡ van PHI 100 mà lisp lấy được thì tại sao Đường và Quận nó lại lấy ko dc vậy anh?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841

Em cũng đang thắc mắc! Nếu như giá trị Cỡ van PHI 100 mà lisp lấy được thì tại sao Đường và Quận nó lại lấy ko dc vậy anh?

Máy của anh và ketxu chạy ầm ầm. Anh đã quay video cho em xem rồi đấy.

Có lẽ là do lỗi Font chữ tiếng Việt trên máy của em

Anh đã sửa lại code 1 chút ở Vị trí và Quận. Em chạy lại đoạn code này, có gì rồi anh hoàn thiện lại

(defun  c:glt(/ oldos sst cs ob Rec p1 p2 ssm chu dk quan vitri)
;;copyright by Tue_NV
 (vl-load-com)
 (command "undo" "be")
 (setq oldos (getvar "osmode"))
 (setvar "osmode" 0)
 (setvar "cmdecho" 0)
 (setq sst (acet-ss-to-list (ssget '((0 . "TEXT") (8 . "ki hieu van") (40 . 3.2)))) )
 (setq cs '(30.0 -50.0 0.0))
 (command "zoom" "e")
 (FOREACH e sst    
   	(setq ob (vlax-ename->vla-object e))
   	(setq Rec (ACET-ENT-GEOMEXTENTS e))
       (setq p1 (car Rec) p2 (cadr Rec))
   	(setq chugoc (acet-dxf 1 (entget e)))
   (IF (<= (strlen (vl-string-trim " " chugoc)) 6)  (PROGN
     (IF (setq ssm (ssget "c" p2 (mapcar '+ cs p2) (list(cons 0 "*TEXT")))) (PROGN
       (foreach x (acet-ss-to-list ssm)
 (setq chu (acet-dxf 1 (entget x)))
        (if (vl-string-search "V\\U+00D" chu)
	(setq vitri (tach chu ":")) )
        (if (vl-string-search "PH\\U+00" chu)
	(setq quan (tach chu "-")) )	
        (if (and (vl-string-search "%%c" chu)
	  (= "TEXT PIPE" (acet-dxf 8 (entget x)))
     )
	(setq dk (substr (vl-string-trim " " chu) 4 (- (strlen chu) 4))) )  

    );foreach
 (if (and quan vitri dk)
     (vlax-put ob 'Textstring 
			(strcat quan "." (substr chugoc 1 (vl-string-search "-" chugoc) ) "."
				vitri "." dk ".0" 
				(substr chugoc (+ 2 (vl-string-search "-" chugoc)) (strlen chugoc) )
			)
     ))
  ))));PROGN_IF
);FOREACH

(command "zoom" "p")
(setvar "osmode" oldos)
(command "undo" "e")
(princ)	 
)
;;;;;;;;;;;;
(defun tach (str kitucheck / trich kitu L i)
;;copyright by Tue_NV
(setq str (vl-string-trim " " str))
(setq L (strlen str) i L)
(setq kitu "Chuc ban lam viec hieu qua")
(While (/= kitu kitucheck)
  (setq kitu (substr str i 1))
  (setq i (1- i))
  (if (or (= kitu " ") (= kitu kitucheck))
   (setq trich (append trich (list (substr str (+ i 2) 1)) ) )
 ) 
)
(setq trich (apply 'strcat (reverse (vl-remove " " trich))))
trich
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
truongthanh    7

Máy của anh và ketxu chạy ầm ầm. Anh đã quay video cho em xem rồi đấy.

Có lẽ là do lỗi Font chữ tiếng Việt trên máy của em

Anh đã sửa lại code 1 chút ở Vị trí và Quận. Em chạy lại đoạn code này, có gì rồi anh hoàn thiện lại

Dạ vẫn ko dc anh ơi!Thôi chắc không cần nữa đâu anh! Tốn thời gian của anh quá! Chắc do máy em bị lỗi font rồi!

Cảm ơn anh rất nhiều ah!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×